/** 可点按的区域Div; 手机电脑都支持。
 * The state machine used here is based on the one provided
 * in react-native-web:
 *
 * https://github.com/necolas/react-native-web/blob/master/packages/react-native-web/src/exports/Touchable/index.js
 */
import * as React from "react";
import { ResponderEvent } from "react-gesture-responder";
import { Partial } from "rollup-plugin-typescript2/dist/partial";
export type OnPressFunction = (e?: React.TouchEvent | React.MouseEvent | React.KeyboardEvent | Event) => void;
export interface TouchableOptions {
    delay: number;
    longPressDelay: number;
    pressExpandPx: number;
    behavior: "button" | "link";
    disabled: boolean;
    terminateOnScroll: boolean;
    onPress?: OnPressFunction;
    onLongPress?: OnPressFunction;
    movable?: boolean;
}
/** 点按 不是拖拽拉动的，相对位置是静止的，按住时间长短？才算，立刻反馈被您点到了。
 * Hook：原版乃是touchable-hook这个包的。
 * @param options
 * 本函数返回的类型声明的近20个参数对象实际是自动生成的代码，非人工编辑的。
 * 这里ListItem MenuItem IconButton Button 这四个都直接用到useTouchable的 点按触发。
 */
export declare function useTouchable(options?: Partial<TouchableOptions>): {
    hover: boolean;
    bind: {
        onTouchStart: (e: ResponderEvent) => void;
        onKeyDown: (e: React.KeyboardEvent) => void;
        onKeyUp: (e: React.KeyboardEvent) => void;
        ref: React.MutableRefObject<any>;
        onTouchMove: (e: ResponderEvent) => void;
        onTouchEnd: (e: ResponderEvent) => void;
        onTouchMoveCapture: (e: ResponderEvent) => void;
        onMouseEnter: () => void;
        onMouseLeave: () => void;
        onMouseDown?: ((e: React.MouseEvent<Element, MouseEvent>) => void) | undefined;
        onTouchStartCapture: (e: ResponderEvent) => void;
        onMouseDownCapture?: ((e: React.MouseEvent<Element, MouseEvent>) => void) | undefined;
    };
    active: boolean;
};
