import * as React from "react";
import { CSSProperties, Dispatch, SetStateAction } from "react";
export interface PanelEnlargeCtxType {
    enlarge: number;
    setEnlarge: Dispatch<SetStateAction<number>>;
    setActivecas: (i: number) => void;
    getActivecas?: () => number;
}
/**应该放在<TwoHalfFrame>的头上引入。 TwoHalfFrame下面右半边页面必须<TwoHalfRightPanel>包裹的。
 * 右半边详细操作页面被放大为整个视口的页面，放大
 * 跨越多层次的APP路由器页面。
 * */
export declare const PanelEnlargeCtx: React.Context<PanelEnlargeCtxType>;
interface TwoHalfFrameProps extends React.HTMLAttributes<HTMLDivElement> {
    children: React.ReactNode;
    rightPanel: React.ReactNode;
    leftStyle?: CSSProperties;
    rightStyle?: CSSProperties;
}
/**公用框架组件  Left左半列表摘要 + 右半边Console详细操作的页面。
 * TwoHalfFrame应该放在路由器每个路由顶部，外部加个PanelEnlargeCtx.Provider配套控制本实例TwoHalfFrame。
 * 本组件是框架，要配合 <TwoHalfRightPanel/>组件 以及<PanelEnlargeCtx.Provider 这两个东西来协同完成框架页面构建。
 * 需要在页面路由器头上加<PanelEnlargeCtx.Provider  value={{ enlarge, setEnlarge，activecas，setActivecas }}>
 * 【特别】<PanelEnlargeCtx.Provider的提供位置非常严格，可能无效:初始化取值，还是后来能修改赋值?。
 * */
export declare const TwoHalfFrame: React.ForwardRefExoticComponent<TwoHalfFrameProps & React.RefAttributes<any>>;
export {};
